Bug 137706 - Rhythmbox should fail when importing m4p/m4a content
Rhythmbox should fail when importing m4p/m4a content
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: rhythmbox (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-30 21:23 EDT by Dan Williams
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-26 12:31:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Williams 2004-10-30 21:23:40 EDT
Tracks purchased from the iTunes music store are protected AAC and
obviously won't work with rhythmbox.  However, when you try to import
those songs, rhythmbox takes forever to attempt to import them.  RB
should probably find some way to identify the files as
unplayable/unimportable and just fail to import them rather than
taking 10 years to do so.

Note that the songs are shared over an SMB share, so that might be why
RB was taking a fairly long time to look at the songs.  I assume that
GST is reading the entire song file looking for file magic or
something it ID the file type with?
Comment 1 Dan Williams 2004-10-30 21:25:23 EDT
RB also fails with the same symptoms to import m4a content, which is
AAC-encoded audio in an MPEG4 file thats NOT protected content, ie
stuff that it could actually play if GST could decode it.
Comment 2 Matthias Clasen 2006-11-26 12:31:50 EST
I don't have any files to test this with.
If this is still an issue in FC6/FC7, please reopen for those products.
Comment 3 Dan Williams 2006-11-26 12:36:39 EST
If you install the right versions of various codec libraries, you can actually
play m4p and m4a content, which I just figured out :)  That's really neat.

It's probably harder than its worth to try to detect which gstreamer plugins are
installed and what they can play from inside rhythmbox when importing.

Note You need to log in before you can comment on or make changes to this bug.